/*
 * IReportTemplate.java
 *
 * Created on 25 febbraio 2005, 0.38
 */

package it.businesslogic.ireport;

/**
 *
 * @author  Administrator
 */
public class IReportTemplate {
    
    public final static int COLUMNAR = 0;
    public final static int TABULAR = 1;

    private String name = "";
    private int type = 0;
    private javax.swing.ImageIcon icon = null;
    private String xmlFile = null;
    
    
    /** Creates a new instance of IReportTemplate */
    public IReportTemplate() {
    }

    public javax.swing.ImageIcon getIcon() {
        return icon;
    }

    public void setIcon(javax.swing.ImageIcon icon) {
        this.icon = icon;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getXmlFile() {
        return xmlFile;
    }

    public void setXmlFile(String xmlFile) {
        this.xmlFile = xmlFile;
    }
    
    public String toString() {
        return name;
    }
    
}
